All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
bisect_kernel_large_multi.hpp File Reference

Second step of the bisection algorithm for the computation of eigenvalues for large matrices. More...

`#include "viennacl/linalg/detail/bisect/config.hpp"`
`#include "viennacl/linalg/detail/bisect/util.hpp"`
`#include "viennacl/linalg/cuda/bisect_util.hpp"`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::linalg
| Provides all linear algebra operations which are not covered by operator overloads.
| viennacl::linalg::cuda
| Holds all CUDA compute kernels used by ViennaCL.

## Functions

template<typename NumericT >
__global__ void | viennacl::linalg::cuda::bisectKernelLarge_MultIntervals (const NumericT *g_d, const NumericT *g_s, const unsigned int n, unsigned int *blocks_mult, unsigned int *blocks_mult_sum, NumericT *g_left, NumericT *g_right, unsigned int *g_left_count, unsigned int *g_right_count, NumericT *g_lambda, unsigned int *g_pos, NumericT precision)

## Detailed Description

Second step of the bisection algorithm for the computation of eigenvalues for large matrices.

Implementation based on the sample provided with the CUDA 6.0 SDK, for which the creation of derivative works is allowed by including the following statement: "This software contains source code provided by NVIDIA Corporation."

Definition in file bisect_kernel_large_multi.hpp.